Index: GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/scripts/Preprocessor.vcproj	(revision 1006)
@@ -158,10 +158,4 @@
 			</File>
 			<File
-				RelativePath="..\src\FromPointVisibilityTree.cpp">
-			</File>
-			<File
-				RelativePath="..\src\FromPointVisibilityTree.h">
-			</File>
-			<File
 				RelativePath="..\src\glInterface.h">
 			</File>
@@ -176,5 +170,6 @@
 						Name="VCCustomBuildTool"
 						Description="Performing moc on $(InputName).h"
-						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp&#xA;"
+						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp
+"
 						Outputs="$(InputDir)moc_$(InputName).cpp"/>
 				</FileConfiguration>
@@ -307,5 +302,6 @@
 						Name="VCCustomBuildTool"
 						Description="Performing moc on $(InputName).h"
-						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp&#xA;"
+						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp
+"
 						Outputs="$(InputDir)moc_$(InputName).cpp"/>
 				</FileConfiguration>
@@ -321,5 +317,6 @@
 						Name="VCCustomBuildTool"
 						Description="Performing moc on $(InputName).h"
-						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp&#xA;"
+						CommandLine="%qtdir%\bin\moc.exe $(InputDir)$(InputName).h -o $(InputDir)moc_$(InputName).cpp
+"
 						Outputs="$(InputDir)moc_$(InputName).cpp"/>
 				</FileConfiguration>
@@ -461,8 +458,8 @@
 			</File>
 			<File
-				RelativePath="..\src\VspKdTree.cpp">
-			</File>
-			<File
-				RelativePath="..\src\VspKdTree.h">
+				RelativePath="..\src\VspOspTree.cpp">
+			</File>
+			<File
+				RelativePath="..\src\VspOspTree.h">
 			</File>
 			<File
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VrmlExporter.cpp	(revision 1006)
@@ -9,5 +9,4 @@
 #include "Polygon3.h"
 #include "VssRay.h"
-#include "VspKdTree.h"
 #include "VssTree.h"
 #include "VspBspTree.h"
@@ -590,6 +589,6 @@
 }
 
-
-bool VrmlExporter::ExportVspKdTree(const VspKdTree &tree, 
+#if 0
+bool VrmlExporter::ExportVspOspTree(const VspOspTree &tree, 
 								   const int maxPvs)
 {
@@ -662,5 +661,5 @@
 	return true;
 }
-
+#endif
 
 bool VrmlExporter::ExportKdTree(const KdTree &tree)
Index: GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/VspBspTree.cpp	(revision 1006)
@@ -124,5 +124,4 @@
 	Environment::GetSingleton()->GetIntValue("VspBspTree.nodePriorityQueueType", mNodePriorityQueueType);
 
-	Environment::GetSingleton()->GetBoolValue("ViewCells.PostProcess.emptyViewCellsMerge", mEmptyViewCellsMergeAllowed);
 	
 	char subdivisionStatsLog[100];
@@ -132,5 +131,5 @@
 	Environment::GetSingleton()->GetFloatValue("VspBspTree.Construction.minBand", mMinBand);
 	Environment::GetSingleton()->GetFloatValue("VspBspTree.Construction.maxBand", mMaxBand);
-	Environment::GetSingleton()->GetBoolValue("VspBspTree.Construction.useDrivingAxisForMaxCost", mUseDrivingAxisForMaxCost);
+	Environment::GetSingleton()->GetBoolValue("VspBspTree.Construction.useDrivingAxisForMaxCost", mUseDrivingAxisIfMaxCostViolated);
 
 	//-- debug output
@@ -161,9 +160,8 @@
 	Debug << "use random axis: " << mUseRandomAxis << endl;
 	Debug << "priority queue type: " << mNodePriorityQueueType << endl;
-	Debug << "empty view cells merge: " << mEmptyViewCellsMergeAllowed << endl;
 	Debug << "circulating axis: " << mCirculatingAxis << endl;
 	Debug << "minband: " << mMinBand << endl;
 	Debug << "maxband: " << mMaxBand << endl;
-	Debug << "use driving axis for max cost: " << mUseDrivingAxisForMaxCost << endl;
+	Debug << "use driving axis for max cost: " << mUseDrivingAxisIfMaxCostViolated << endl;
 
 	Debug << "Split plane strategy: ";
@@ -1194,5 +1192,6 @@
 		}
 	  
-		if (ray->mOriginObject) 
+		// only count termination objects?
+		if (1 && ray->mOriginObject) 
 		{
 			if (vc->AddPvsSample(ray->mOriginObject, ray->mPdf, contribution))
@@ -1482,5 +1481,5 @@
 	const float maxCostRatioForArbitraryAxis = 0.9f;
 
-	if (mUseDrivingAxisForMaxCost)
+	if (mUseDrivingAxisIfMaxCostViolated)
 		bestAxis = box.Size().DrivingAxis();
 	else
@@ -1523,12 +1522,5 @@
 											nPosition[axis]);			
 			}
-			
-			//-- split plane position is spatial median
-
-
-			// also use median split if cost ratio very low as
-			// there are not enough visibility cues
-			//if (!mUseCostHeuristics || (nCostRatio[axis] > maxCostRatioForHeur))
-			else 
+			else //-- split plane position is spatial median
 			{
 
@@ -1578,5 +1570,5 @@
 						
 			
-			if (mUseDrivingAxisForMaxCost)
+			if (mUseDrivingAxisIfMaxCostViolated)
 			{
 				// we take longest axis split if cost ratio exceeds threshold
@@ -1710,5 +1702,7 @@
 	}
 
+
 	//-- evaluate axis aligned splits
+	
 	int axis;
 	BspNodeGeometry *fGeom, *bGeom;
@@ -1717,5 +1711,6 @@
 	candidateCost = 99999999.0f;
 
-	// option: axis aligned split only if no polygon available
+	// as a variant, we take axis aligned split only if there is 
+	// more polygon available to guide the split
 	if (!mUsePolygonSplitIfAvailable || data.mPolygons->empty())
 	{
@@ -1932,8 +1927,8 @@
 
 #if 1
-	// take render cost of node into account
+	// take render cost of node into account to avoid being stuck in a local minimum
 	const float normalizedOldRenderCost = oldRenderCost / mBox.GetVolume();
+	
 	//Debug << "rendercostdecr: " << 0.99f * renderCostDecrease << " old render cost: " << 0.01f * normalizedOldRenderCost << endl;
-	//return 0.5f * renderCostDecrease + 0.5f * normalizedOldRenderCost;
 	return 0.99f * renderCostDecrease + 0.01f * normalizedOldRenderCost;
 #else
@@ -1956,6 +1951,8 @@
 	float pvsBack = 0;
 	
+	// overall probability is used as normalizer
+	float pOverall = 0;
+
 	// probability that view point lies in back / front node
-	float pOverall = 0;
 	pFront = 0;
 	pBack = 0;
@@ -3532,7 +3529,4 @@
 
 
-typedef pair<BspNode *, BspNodeGeometry *> bspNodePair;
-
-
 int VspBspTree::CastBeam(Beam &beam)
 {
@@ -3656,8 +3650,5 @@
 				MergeCandidate mc(leaf->GetViewCell(), (*nit)->GetViewCell());
 
-				// dont't merge view cells if they are empty and not front and back leaf of the same parent
-				// in the tree?
-				if (mEmptyViewCellsMergeAllowed ||
-					!leaf->GetViewCell()->GetPvs().Empty() || 
+				if (!leaf->GetViewCell()->GetPvs().Empty() || 
 					!(*nit)->GetViewCell()->GetPvs().Empty() ||
                     leaf->IsSibling(*nit))
Index: GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/ViewCellsManager.h	(revision 1006)
@@ -19,9 +19,8 @@
 class BspTree;
 class KdTree;
-class VspKdTree;
+class VspOspTree;
 class VspBspTree;
 class KdNode;
 class KdLeaf;
-class VspKdTree;
 class AxisAlignedBox3;
 class BspLeaf;
@@ -813,71 +812,4 @@
 
 /**
-	Manages different higher order operations on the view cells 
-	for vsp kd tree view cells.
-*/
-class VspKdViewCellsManager: public ViewCellsManager
-{
-
-public:
-
-	VspKdViewCellsManager(VspKdTree *vspKdTree);
-
-	int ConstructSubdivision(const ObjectContainer &objects, 
-				  const VssRayContainer &rays);
-
-
-	int PostProcess(const ObjectContainer &objects, 
-					const VssRayContainer &rays);
-
-	void Visualize(const ObjectContainer &objects,
-				   const VssRayContainer &sampleRays);
-
-	int GetType() const;
-	
-	bool ViewCellsConstructed() const;
-
-	//virtual void PrintStatistics(ostream &s) const;
-
-	ViewCell *GenerateViewCell(Mesh *mesh) const;
-
-
-    int CastLineSegment(const Vector3 &origin,
-						const Vector3 &termination,
-						ViewCellContainer &viewcells);
-
-	ViewCell *GetViewCell(const Vector3 &point, const bool active = false) const { return NULL; }
-
-	float GetProbability(ViewCell *viewCell);
-
-
-	void CreateMesh(ViewCell *vc);
-
-	void ExportViewCellGeometry(Exporter *exporter, 
-								ViewCell *vc,
-								const Plane3 *clipPlane = NULL) const;
-
-	void CollectMergeCandidates(const VssRayContainer &rays, vector<MergeCandidate> &candidates);
-
-	virtual void UpdatePvsForEvaluation(ViewCell *root, ObjectPvs &pvs) {};
-
-
-protected:
-
-	void ExportLeaves(const ObjectContainer &objects,
-					  const VssRayContainer &sampleRays);
-
-	void CollectViewCells();
-
-	void ExportColor(Exporter *exporter, ViewCell *vc) const;
-
-
-
-	/// the BSP tree.
-	VspKdTree *mVspKdTree;
-};
-
-
-
-/**
 	Manages different higher order operations on the view cells.
 */
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Environment.cpp	(revision 1006)
@@ -1374,9 +1374,4 @@
 					"boxes.out");
 
-	RegisterOption("ViewCells.PostProcess.emptyViewCellsMerge",
-					optBool,
-					"view_cells_merge_empty=",
-					"true");
-
 	RegisterOption("ViewCells.evaluateViewCells",
 					optBool,
@@ -1739,127 +1734,4 @@
 
 
-	/**************************************************************************************/
-	/*                  View space partition KD tree related options                      */
-	/**************************************************************************************/
-
-	RegisterOption("VspKdTree.Construction.samples",
-					optInt,
-					"vsp_kd_construction_samples=",
-					"100000");
-
-	RegisterOption("VspKdTree.Termination.maxDepth", 
-		optInt, 
-		"vsp_term_maxdepth=", 
-		"30");
-
-	RegisterOption("VspKdTree.Termination.minPvs", 
-		optInt, 
-		"vsp_minpvs=", 
-		"1");
-
-	RegisterOption("VspKdTree.Termination.minRays", 
-		optInt, 
-		"vsp_term_minrays=", 
-		"10");
-
-	RegisterOption("VspKdTree.Termination.minSize", 
-		optFloat, 
-		"vsp_term_minsize=", 
-		"0.001");
-
-	RegisterOption("VspKdTree.Termination.maxCostRatio", 
-		optFloat, 
-		"vsp_term_maxcost=",
-		"0.95");
-
-	RegisterOption("VspKdTree.Termination.maxRayContribution", 
-		optFloat, 
-		"vsp_term_max_ray_contrib=", 
-		"0.5");
-
-	RegisterOption("VspKdTree.epsilon", 
-		optFloat, 
-		"kd_eps=", 
-		"1e-6");
-
-	RegisterOption("VspKdTree.ct_div_ci", 
-		optFloat, 
-		"vsp_ctdivci=", "1.0");
-
-	RegisterOption("VspKdTree.splitType", 
-		optString, 
-		"split=", 
-		"queries");
-
-	RegisterOption("VspKdTree.splitAxis", 
-		optString, 
-		"split=", 
-		"drivingAxis");
-
-	RegisterOption("VspKdTree.splitUseOnlyDrivingAxis", 
-		optBool, 
-		"vsp_kd_splitdriving=", 
-		"false");
-
-	RegisterOption("VspKdTree.numberOfEndPointDomains", 
-		optInt, 
-		"endpoints=", 
-		"10000");
-
-	RegisterOption("VspKdTree.maxTotalMemory", 
-		optFloat, 
-		"vsp_max_total_mem=", 
-		"60.0");
-
-	RegisterOption("VspKdTree.maxStaticMemory", 
-		optFloat, 
-		"vsp_max_static_mem=", 
-		"8.0");
-
-	RegisterOption("VspKdTree.queryType", 
-		optString, 
-		"qtype=", 
-		"static");
-
-	RegisterOption("VspKdTree.queryPosWeight", 
-		optFloat, 
-		"vsp_kd_qposweight=", 
-		"0.0");
-
-	RegisterOption("VspKdTree.accessTimeThreshold", 
-		optInt, 
-		"vsp_kd_accesstime=", 
-		"1000");
-
-	RegisterOption("VspKdTree.minCollapseDepth", 
-		optInt, 
-		"vsp_kd_min_colldepth=", 
-		"4");
-
-	RegisterOption("VspKdTree.PostProcess.maxCostRatio",
-			optFloat,
-			"vsp_kd_post_process_max_cost_ratio=",
-			"0.9");
-
-	RegisterOption("VspKdTree.PostProcess.minViewCells", 
-		optInt, 
-		"vsp_kd_term_post_process_min_view_cells=", 
-		"1000");
-
-	RegisterOption("VspKdTree.Termination.maxViewCells", 
-		optInt, 
-		"vsp_kd_term_post_process_min_view_cells=", 
-		"300");
-
-	RegisterOption("VspKdTree.PostProcess.maxPvsSize", 
-		optInt, 
-		"vsp_kd_term_post_process_max_pvs_size=", 
-		"100");
-
-	RegisterOption("VspKdTree.Termination.missTolerance",
-			optInt,
-			"vsp_kd_term_miss_tolerance=",
-			"4");
-
 	/************************************************************************************/
 	/*                   VSS Preprocessor cells related options                         */
Index: GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h	(revision 1002)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/FromPointVisibilityTree.h	(revision 1006)
@@ -827,8 +827,8 @@
 	int mNodePriorityQueueType;
 
-	bool mEmptyViewCellsMergeAllowed;
-
 	// priority queue strategy
 	enum {BREATH_FIRST, DEPTH_FIRST, COST_BASED};
+
+
 private:
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h	(revision 863)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Exporter.h	(revision 1006)
@@ -16,5 +16,4 @@
 class KdTree;
 class BspTree;
-class VspKdTree;
 class SceneGraphNode;
 class Ray;
@@ -64,7 +63,4 @@
 				 const Vector3 direction
 				 ) = 0;
-
-  virtual bool
-  ExportVspKdTree(const VspKdTree &tree, const int maxPvs = 0) = 0;
 
   virtual bool
Index: GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp	(revision 863)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/RenderSimulator.cpp	(revision 1006)
@@ -4,5 +4,4 @@
 #include "ViewCell.h"
 #include "VspBspTree.h"
-#include "VspKdTree.h"
 #include "ViewCellsManager.h"
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.cpp	(revision 1006)
@@ -9,5 +9,4 @@
 #include "ViewCellBsp.h"
 #include "VspBspTree.h"
-#include "VspKdTree.h"
 #include "RenderSimulator.h"
 #include "GlRenderer.h"
@@ -113,5 +112,4 @@
 mKdTree(NULL),
 mBspTree(NULL),
-mVspKdTree(NULL),
 mVspBspTree(NULL),
 mViewCellsManager(NULL),
@@ -158,8 +156,10 @@
   DEL_PTR(mKdTree);
   cout << "done.\n";
-  
-  cout << "Deleting vspkd tree...\n";
-  DEL_PTR(mVspKdTree);
+ 
+#if 0
+  cout << "Deleting vsp osp tree...\n";
+  DEL_PTR(mVspOspTree);
   cout << "done.\n";
+#endif
 
   cout << "Deleting vspbsp tree...\n";
@@ -424,10 +424,11 @@
 		mViewCellsManager = new VspBspViewCellsManager(mVspBspTree);
 	}
-	else if (strcmp(name, "vspKdTree") == 0)
-	{
-		mVspKdTree = new VspKdTree();		
-	
-		mViewCellsManager = new VspKdViewCellsManager(mVspKdTree);
-	}
+#if 0
+	else if (strcmp(name, "vspOspTree") == 0)
+	{
+		mVspOspTree = new VspOspTree();		
+		mViewCellsManager = new VspOspViewCellsManager(mVspOspTree);
+	}
+#endif
 	else if (strcmp(name, "sceneDependent") == 0)
 	{
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h	(revision 1001)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.h	(revision 1006)
@@ -59,8 +59,8 @@
 				 const Vector3 direction
 				 );
-
+#if VSP_OPS
   bool
-  ExportVspKdTree(const VspKdTree &tree, const int maxPvs);
-
+  ExportVspOspTree(const VspOspTree &tree, const int maxPvs);
+#endif
   bool ExportBspTree(const BspTree &tree);
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp	(revision 1004)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/X3dExporter.cpp	(revision 1006)
@@ -9,5 +9,5 @@
 #include "Polygon3.h"
 #include "VssRay.h"
-#include "VspKdTree.h"
+//#include "VspOspTree.h"
 #include "VssTree.h"
 #include "VspBspTree.h"
@@ -33,53 +33,4 @@
   stream.close();
 }
-
-
-//  bool
-//  X3dExporter::ExportRays(const vector<Ray> &rays,
-//  												const float length,
-//  												const RgbColor &color)
-//  {
-//    vector<Ray>::const_iterator ri = rays.begin();
-//    stream<<"<Shape>"<<endl;
-//    stream<<"<Appearance>"<<endl;
-//    stream<<"<Material ambientColor=\""<<color.r<<" "<<color.g<<" "<<color.b<<
-//      "\" />"<<endl;
-//    stream<<"</Appearance>"<<endl;
-  
-//    stream<<"<IndexedLineSet coordIndex=\""<<endl;
-
-//    int index = 0;
-//    for (; ri != rays.end(); ri++) {
-//      stream<<index<<" "<<index+1<<" -1\n";
-//      index+=2;
-//    }
-  
-//    stream<<"\" >"<<endl;
-  
-//    stream<<"<Coordinate  point=\""<<endl;
-  
-//    ri = rays.begin();
-//    for (; ri != rays.end(); ri++) {
-//      Vector3 a = (*ri).GetLoc();
-    
-//      Vector3 b;
-//      if (length < 0)
-//        b = (*ri).GetLoc() - length*(*ri).GetDir();
-//      else
-//        if ((*ri).intersections.size()==0)
-//  	b = (*ri).GetLoc() + length*(*ri).GetDir();
-//        else
-//  	b = (*ri).Extrap((*ri).intersections[0].mT);
-    
-//      stream<<a.x<<" "<<a.y<<" "<<a.z<<" ,";
-//      stream<<b.x<<" "<<b.y<<" "<<b.z<<" ,\n";
-//    }
-  
-//    stream<<"\" >"<<endl;
-//    stream<<"</Coordinate>"<<endl;
-//    stream<<"</IndexedLineSet>"<<endl;
-//    stream<<"</Shape>"<<endl;
-//    return true;
-//  }
 
 
@@ -459,4 +410,5 @@
 
 
+
 void X3dExporter::ExportPolygons(const PolygonContainer &polys)
 {
@@ -535,4 +487,5 @@
 	stream << "</Shape>" << endl;
 }
+
 
 bool
@@ -561,4 +514,5 @@
 }
 
+
 bool
 X3dExporter::ExportBspTree(const BspTree &tree)
@@ -584,5 +538,6 @@
 }
 
-bool X3dExporter::ExportVspKdTree(const VspKdTree &tree, const int maxPvs)
+#if 0
+bool X3dExporter::ExportVspOspTree(const VspOspTree &tree, const int maxPvs)
 {
 	stack<VspKdNode *> tStack;
@@ -654,5 +609,5 @@
 	return true;
 }
-
+#endif
 
 bool X3dExporter::ExportKdTree(const KdTree &tree)
@@ -696,7 +651,6 @@
   ExportMesh(mesh);
   delete mesh;
+
   return true;
-	// TODO
-	return true;
 }
 
Index: GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 904)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/Preprocessor.h	(revision 1006)
@@ -17,5 +17,5 @@
 class ViewCellsManager;
 class BspTree;
-class VspKdTree;
+class VspOspTree;
 class VspBspTree;
 class RenderSimulator;
@@ -151,8 +151,6 @@
   ViewCellsManager *mViewCellsManager;
 
-  /** Kd tree inducing a coarse partition of view space that are the building
-	  blocks for view cells.
-  */
-  VspKdTree *mVspKdTree;
+  /// greedy optimized hierarchy for both objects and view cells
+  VspOspTree *mVspOspTree;
 
   bool mUseGlRenderer;
@@ -183,6 +181,6 @@
   /// samples used for construction of the BSP view cells tree.
   int mBspConstructionSamples;
-   /// samples used for construction of the VSP KD tree.
-  int mVspKdConstructionSamples;
+  /// samples used for construction of the VSP OSP tree.
+  int mVspOspConstructionSamples;
   /** Simulates rendering of the scene.
   */
